Update Template
curl --request PATCH \
--url https://api.amplify.xyz/v1/esign_templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_type": "pdf",
"page_count": 1,
"source": "app",
"template_source": "blank",
"template_source_id": 0,
"theme": {
"text": {
"font": "Arial",
"size": "14px",
"style": [],
"color": "#000000",
"capitalization": "unset",
"line_spacing": 1
},
"background": {
"color": "#FFFFFF",
"opacity": 100
},
"background_image": {
"url": "",
"size": "cover",
"position": "left_top",
"is_repeating": false,
"opacity": 100
},
"applied_to_page": "all_pages"
},
"config": {
"message": "Please review this document online.\n\nBest regards,\nweb one",
"notify_emails": [],
"redirect_url": ""
}
}
'import requests
url = "https://api.amplify.xyz/v1/esign_templates/{templateId}"
payload = {
"file_type": "pdf",
"page_count": 1,
"source": "app",
"template_source": "blank",
"template_source_id": 0,
"theme": {
"text": {
"font": "Arial",
"size": "14px",
"style": [],
"color": "#000000",
"capitalization": "unset",
"line_spacing": 1
},
"background": {
"color": "#FFFFFF",
"opacity": 100
},
"background_image": {
"url": "",
"size": "cover",
"position": "left_top",
"is_repeating": False,
"opacity": 100
},
"applied_to_page": "all_pages"
},
"config": {
"message": "Please review this document online.
Best regards,
web one",
"notify_emails": [],
"redirect_url": ""
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_type: 'pdf',
page_count: 1,
source: 'app',
template_source: 'blank',
template_source_id: 0,
theme: {
text: {
font: 'Arial',
size: '14px',
style: [],
color: '#000000',
capitalization: 'unset',
line_spacing: 1
},
background: {color: '#FFFFFF', opacity: 100},
background_image: {
url: '',
size: 'cover',
position: 'left_top',
is_repeating: false,
opacity: 100
},
applied_to_page: 'all_pages'
},
config: {
message: 'Please review this document online.\n\nBest regards,\nweb one',
notify_emails: [],
redirect_url: ''
}
})
};
fetch('https://api.amplify.xyz/v1/esign_templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Template operations
Update Template
Customer API v1 endpoint.
PATCH
/
v1
/
esign_templates
/
{templateId}
Update Template
Update Template. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200
Successful response. Response body was not included in the source collection.
